RBD-FUSE(8)

NAME
rbd-fuse - expose rbd images as files

SYNOPSIS
rbd-fuse [ -p pool ] [-c conffile] mountpoint [ fuse options ]

NOTE

rbd-fuse is not recommended for any production or high performance workloads.

DESCRIPTION

rbd-fuse is a FUSE ("Filesystem in USErspace") client for RADOS block device (rbd) images. Given a pool containing rbd images, it will mount a userspace file system allowing access to those images as regular files at mountpoint.

The file system can be unmounted with:

            fusermount -u mountpoint

or by sending SIGINT to the rbd-fuse process.

OPTIONS

Any options not recognized by rbd-fuse will be passed on to libfuse.

    -c ceph.conf
        Use ceph.conf configuration file instead of the default /etc/ceph/ceph.conf to determine monitor addresses during startup.

    -p pool
        Use pool as the pool to search for rbd images. Default is rbd.

AVAILABILITY

rbd-fuse is part of Ceph, a massively scalable, open-source, distributed storage system. Please refer to the Ceph documentation at <https://docs.ceph.com> for more information.

SEE ALSO

fusermount(8), rbd <>(8)

Copyright
2010-2014, Inktank Storage, Inc. and contributors. Licensed under Creative Commons Attribution Share Alike 3.0 (CC-BY-SA-3.0)